#include <stdio.h>

int main() {
    int N;
    scanf("%d",&N);

    int v=2;
    while(v<=N) {
        if(N%v==0) {
            printf("%d\n",v);
            N/=v;
        }
        else {
            v++;
        }
    }

    return 0;
}